Subject: bug#65558: 30.0.50; project-other-{window,frame,tab}-command a bit too obtrusive

From: Juri Linkov <[email-masked]>
Date: Thu, 19 Oct 2023 21:51:10 +0300

close 65558 30.0.50
thanks

>>> +;; TODO: maybe rename to project-other-window-prefix
>>>   ;;;###autoload (define-key ctl-x-4-map "p" #'project-other-window-command)
>> Maybe this TODO not needed anymore?
>
> I think you had a point with it, but I'm not sure how strong it is, and
> where is the line between a "x-y-z-command" that does a thing like this and
> a proper "prefix" command. So I'd say it's up to you.
>
> We can remove the TODO, or go ahead with the renaming, or keep the TODO and
> return to it sometime years later when Emacs 30 is the least supported
> version.

With this TODO item I meant something like this:

  ;;;###autoload
  (define-key ctl-x-4-map "p"
    (if (< emacs-major-version 30)
        #'project-other-window-command
      #'project-other-window-prefix))

But now I see it's quite ugly, so I installed the current patch
without TODO.